{
  stdenv,
  fetchFromGitHub,
  cmake,
  curl,
  qt6,
  libxml2
}:

stdenv.mkDerivation (final: {
  pname = "KhinsiderDownloader";
  version = "3.0.4.43";

  src = fetchFromGitHub {
    owner = "weespin";
    repo = "KhinsiderDownloader";
    rev = final.version;
    hash = "sha256-hqoUkzPNxAIvC/7DL9YIMPmUZqAreqCbG8NKidVtSDM=";
  };

  nativeBuildInputs = [
    cmake
    curl
    qt6.full
    libxml2
  ];
})
